var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
function _extends() {
  _extends = Object.assign || function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null)
    return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;
  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0)
      continue;
    target[key] = source[key];
  }
  return target;
}
var classnames = { exports: {} };
/*!
  Copyright (c) 2018 Jed Watson.
  Licensed under the MIT License (MIT), see
  http://jedwatson.github.io/classnames
*/
(function(module) {
  (function() {
    var hasOwn = {}.hasOwnProperty;
    function classNames2() {
      var classes = [];
      for (var i = 0; i < arguments.length; i++) {
        var arg = arguments[i];
        if (!arg)
          continue;
        var argType = typeof arg;
        if (argType === "string" || argType === "number") {
          classes.push(arg);
        } else if (Array.isArray(arg)) {
          if (arg.length) {
            var inner = classNames2.apply(null, arg);
            if (inner) {
              classes.push(inner);
            }
          }
        } else if (argType === "object") {
          if (arg.toString === Object.prototype.toString) {
            for (var key in arg) {
              if (hasOwn.call(arg, key) && arg[key]) {
                classes.push(key);
              }
            }
          } else {
            classes.push(arg.toString());
          }
        }
      }
      return classes.join(" ");
    }
    if (module.exports) {
      classNames2.default = classNames2;
      module.exports = classNames2;
    } else {
      window.classNames = classNames2;
    }
  })();
})(classnames);
var classNames = classnames.exports;
var react = { exports: {} };
var react_production_min = {};
/*
object-assign
(c) Sindre Sorhus
@license MIT
*/
var getOwnPropertySymbols = Object.getOwnPropertySymbols;
var hasOwnProperty = Object.prototype.hasOwnProperty;
var propIsEnumerable = Object.prototype.propertyIsEnumerable;
function toObject(val) {
  if (val === null || val === void 0) {
    throw new TypeError("Object.assign cannot be called with null or undefined");
  }
  return Object(val);
}
function shouldUseNative() {
  try {
    if (!Object.assign) {
      return false;
    }
    var test1 = new String("abc");
    test1[5] = "de";
    if (Object.getOwnPropertyNames(test1)[0] === "5") {
      return false;
    }
    var test2 = {};
    for (var i = 0; i < 10; i++) {
      test2["_" + String.fromCharCode(i)] = i;
    }
    var order2 = Object.getOwnPropertyNames(test2).map(function(n2) {
      return test2[n2];
    });
    if (order2.join("") !== "0123456789") {
      return false;
    }
    var test3 = {};
    "abcdefghijklmnopqrst".split("").forEach(function(letter) {
      test3[letter] = letter;
    });
    if (Object.keys(Object.assign({}, test3)).join("") !== "abcdefghijklmnopqrst") {
      return false;
    }
    return true;
  } catch (err) {
    return false;
  }
}
var objectAssign = shouldUseNative() ? Object.assign : function(target, source) {
  var from;
  var to = toObject(target);
  var symbols;
  for (var s = 1; s < arguments.length; s++) {
    from = Object(arguments[s]);
    for (var key in from) {
      if (hasOwnProperty.call(from, key)) {
        to[key] = from[key];
      }
    }
    if (getOwnPropertySymbols) {
      symbols = getOwnPropertySymbols(from);
      for (var i = 0; i < symbols.length; i++) {
        if (propIsEnumerable.call(from, symbols[i])) {
          to[symbols[i]] = from[symbols[i]];
        }
      }
    }
  }
  return to;
};
/** @license React v16.14.0
 * react.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var l = objectAssign, n$1 = typeof Symbol === "function" && Symbol.for, p$1 = n$1 ? Symbol.for("react.element") : 60103, q$1 = n$1 ? Symbol.for("react.portal") : 60106, r = n$1 ? Symbol.for("react.fragment") : 60107, t = n$1 ? Symbol.for("react.strict_mode") : 60108, u = n$1 ? Symbol.for("react.profiler") : 60114, v = n$1 ? Symbol.for("react.provider") : 60109, w = n$1 ? Symbol.for("react.context") : 60110, x = n$1 ? Symbol.for("react.forward_ref") : 60112, y = n$1 ? Symbol.for("react.suspense") : 60113, z = n$1 ? Symbol.for("react.memo") : 60115, A = n$1 ? Symbol.for("react.lazy") : 60116, B = typeof Symbol === "function" && Symbol.iterator;
function C(a) {
  for (var b = "https://reactjs.org/docs/error-decoder.html?invariant=" + a, c = 1; c < arguments.length; c++)
    b += "&args[]=" + encodeURIComponent(arguments[c]);
  return "Minified React error #" + a + "; visit " + b + " for the full message or use the non-minified dev environment for full errors and additional helpful warnings.";
}
var D = { isMounted: function() {
  return false;
}, enqueueForceUpdate: function() {
}, enqueueReplaceState: function() {
}, enqueueSetState: function() {
} }, E = {};
function F(a, b, c) {
  this.props = a;
  this.context = b;
  this.refs = E;
  this.updater = c || D;
}
F.prototype.isReactComponent = {};
F.prototype.setState = function(a, b) {
  if (typeof a !== "object" && typeof a !== "function" && a != null)
    throw Error(C(85));
  this.updater.enqueueSetState(this, a, b, "setState");
};
F.prototype.forceUpdate = function(a) {
  this.updater.enqueueForceUpdate(this, a, "forceUpdate");
};
function G() {
}
G.prototype = F.prototype;
function H(a, b, c) {
  this.props = a;
  this.context = b;
  this.refs = E;
  this.updater = c || D;
}
var I = H.prototype = new G();
I.constructor = H;
l(I, F.prototype);
I.isPureReactComponent = true;
var J = { current: null }, K = Object.prototype.hasOwnProperty, L = { key: true, ref: true, __self: true, __source: true };
function M(a, b, c) {
  var e, d = {}, g2 = null, k = null;
  if (b != null)
    for (e in b.ref !== void 0 && (k = b.ref), b.key !== void 0 && (g2 = "" + b.key), b)
      K.call(b, e) && !L.hasOwnProperty(e) && (d[e] = b[e]);
  var f2 = arguments.length - 2;
  if (f2 === 1)
    d.children = c;
  else if (1 < f2) {
    for (var h = Array(f2), m2 = 0; m2 < f2; m2++)
      h[m2] = arguments[m2 + 2];
    d.children = h;
  }
  if (a && a.defaultProps)
    for (e in f2 = a.defaultProps, f2)
      d[e] === void 0 && (d[e] = f2[e]);
  return { $$typeof: p$1, type: a, key: g2, ref: k, props: d, _owner: J.current };
}
function N(a, b) {
  return { $$typeof: p$1, type: a.type, key: b, ref: a.ref, props: a.props, _owner: a._owner };
}
function O(a) {
  return typeof a === "object" && a !== null && a.$$typeof === p$1;
}
function escape(a) {
  var b = { "=": "=0", ":": "=2" };
  return "$" + ("" + a).replace(/[=:]/g, function(a2) {
    return b[a2];
  });
}
var P = /\/+/g, Q = [];
function R(a, b, c, e) {
  if (Q.length) {
    var d = Q.pop();
    d.result = a;
    d.keyPrefix = b;
    d.func = c;
    d.context = e;
    d.count = 0;
    return d;
  }
  return { result: a, keyPrefix: b, func: c, context: e, count: 0 };
}
function S(a) {
  a.result = null;
  a.keyPrefix = null;
  a.func = null;
  a.context = null;
  a.count = 0;
  10 > Q.length && Q.push(a);
}
function T(a, b, c, e) {
  var d = typeof a;
  if (d === "undefined" || d === "boolean")
    a = null;
  var g2 = false;
  if (a === null)
    g2 = true;
  else
    switch (d) {
      case "string":
      case "number":
        g2 = true;
        break;
      case "object":
        switch (a.$$typeof) {
          case p$1:
          case q$1:
            g2 = true;
        }
    }
  if (g2)
    return c(e, a, b === "" ? "." + U(a, 0) : b), 1;
  g2 = 0;
  b = b === "" ? "." : b + ":";
  if (Array.isArray(a))
    for (var k = 0; k < a.length; k++) {
      d = a[k];
      var f2 = b + U(d, k);
      g2 += T(d, f2, c, e);
    }
  else if (a === null || typeof a !== "object" ? f2 = null : (f2 = B && a[B] || a["@@iterator"], f2 = typeof f2 === "function" ? f2 : null), typeof f2 === "function")
    for (a = f2.call(a), k = 0; !(d = a.next()).done; )
      d = d.value, f2 = b + U(d, k++), g2 += T(d, f2, c, e);
  else if (d === "object")
    throw c = "" + a, Error(C(31, c === "[object Object]" ? "object with keys {" + Object.keys(a).join(", ") + "}" : c, ""));
  return g2;
}
function V(a, b, c) {
  return a == null ? 0 : T(a, "", b, c);
}
function U(a, b) {
  return typeof a === "object" && a !== null && a.key != null ? escape(a.key) : b.toString(36);
}
function W(a, b) {
  a.func.call(a.context, b, a.count++);
}
function aa(a, b, c) {
  var e = a.result, d = a.keyPrefix;
  a = a.func.call(a.context, b, a.count++);
  Array.isArray(a) ? X(a, e, c, function(a2) {
    return a2;
  }) : a != null && (O(a) && (a = N(a, d + (!a.key || b && b.key === a.key ? "" : ("" + a.key).replace(P, "$&/") + "/") + c)), e.push(a));
}
function X(a, b, c, e, d) {
  var g2 = "";
  c != null && (g2 = ("" + c).replace(P, "$&/") + "/");
  b = R(b, g2, e, d);
  V(a, aa, b);
  S(b);
}
var Y = { current: null };
function Z() {
  var a = Y.current;
  if (a === null)
    throw Error(C(321));
  return a;
}
var ba = { ReactCurrentDispatcher: Y, ReactCurrentBatchConfig: { suspense: null }, ReactCurrentOwner: J, IsSomeRendererActing: { current: false }, assign: l };
react_production_min.Children = { map: function(a, b, c) {
  if (a == null)
    return a;
  var e = [];
  X(a, e, null, b, c);
  return e;
}, forEach: function(a, b, c) {
  if (a == null)
    return a;
  b = R(null, null, b, c);
  V(a, W, b);
  S(b);
}, count: function(a) {
  return V(a, function() {
    return null;
  }, null);
}, toArray: function(a) {
  var b = [];
  X(a, b, null, function(a2) {
    return a2;
  });
  return b;
}, only: function(a) {
  if (!O(a))
    throw Error(C(143));
  return a;
} };
react_production_min.Component = F;
react_production_min.Fragment = r;
react_production_min.Profiler = u;
react_production_min.PureComponent = H;
react_production_min.StrictMode = t;
react_production_min.Suspense = y;
react_production_min.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED = ba;
react_production_min.cloneElement = function(a, b, c) {
  if (a === null || a === void 0)
    throw Error(C(267, a));
  var e = l({}, a.props), d = a.key, g2 = a.ref, k = a._owner;
  if (b != null) {
    b.ref !== void 0 && (g2 = b.ref, k = J.current);
    b.key !== void 0 && (d = "" + b.key);
    if (a.type && a.type.defaultProps)
      var f2 = a.type.defaultProps;
    for (h in b)
      K.call(b, h) && !L.hasOwnProperty(h) && (e[h] = b[h] === void 0 && f2 !== void 0 ? f2[h] : b[h]);
  }
  var h = arguments.length - 2;
  if (h === 1)
    e.children = c;
  else if (1 < h) {
    f2 = Array(h);
    for (var m2 = 0; m2 < h; m2++)
      f2[m2] = arguments[m2 + 2];
    e.children = f2;
  }
  return {
    $$typeof: p$1,
    type: a.type,
    key: d,
    ref: g2,
    props: e,
    _owner: k
  };
};
react_production_min.createContext = function(a, b) {
  b === void 0 && (b = null);
  a = { $$typeof: w, _calculateChangedBits: b, _currentValue: a, _currentValue2: a, _threadCount: 0, Provider: null, Consumer: null };
  a.Provider = { $$typeof: v, _context: a };
  return a.Consumer = a;
};
react_production_min.createElement = M;
react_production_min.createFactory = function(a) {
  var b = M.bind(null, a);
  b.type = a;
  return b;
};
react_production_min.createRef = function() {
  return { current: null };
};
react_production_min.forwardRef = function(a) {
  return { $$typeof: x, render: a };
};
react_production_min.isValidElement = O;
react_production_min.lazy = function(a) {
  return { $$typeof: A, _ctor: a, _status: -1, _result: null };
};
react_production_min.memo = function(a, b) {
  return { $$typeof: z, type: a, compare: b === void 0 ? null : b };
};
react_production_min.useCallback = function(a, b) {
  return Z().useCallback(a, b);
};
react_production_min.useContext = function(a, b) {
  return Z().useContext(a, b);
};
react_production_min.useDebugValue = function() {
};
react_production_min.useEffect = function(a, b) {
  return Z().useEffect(a, b);
};
react_production_min.useImperativeHandle = function(a, b, c) {
  return Z().useImperativeHandle(a, b, c);
};
react_production_min.useLayoutEffect = function(a, b) {
  return Z().useLayoutEffect(a, b);
};
react_production_min.useMemo = function(a, b) {
  return Z().useMemo(a, b);
};
react_production_min.useReducer = function(a, b, c) {
  return Z().useReducer(a, b, c);
};
react_production_min.useRef = function(a) {
  return Z().useRef(a);
};
react_production_min.useState = function(a) {
  return Z().useState(a);
};
react_production_min.version = "16.14.0";
{
  react.exports = react_production_min;
}
var React = react.exports;
var jsxRuntime = { exports: {} };
var reactJsxRuntime_production_min = {};
/** @license React v16.14.0
 * react-jsx-runtime.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var f = react.exports, g = 60103;
reactJsxRuntime_production_min.Fragment = 60107;
if (typeof Symbol === "function" && Symbol.for) {
  var h = Symbol.for;
  g = h("react.element");
  reactJsxRuntime_production_min.Fragment = h("react.fragment");
}
var m = f.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactCurrentOwner, n = Object.prototype.hasOwnProperty, p = { key: true, ref: true, __self: true, __source: true };
function q(c, a, k) {
  var b, d = {}, e = null, l2 = null;
  k !== void 0 && (e = "" + k);
  a.key !== void 0 && (e = "" + a.key);
  a.ref !== void 0 && (l2 = a.ref);
  for (b in a)
    n.call(a, b) && !p.hasOwnProperty(b) && (d[b] = a[b]);
  if (c && c.defaultProps)
    for (b in a = c.defaultProps, a)
      d[b] === void 0 && (d[b] = a[b]);
  return { $$typeof: g, type: c, key: e, ref: l2, props: d, _owner: m.current };
}
reactJsxRuntime_production_min.jsx = q;
reactJsxRuntime_production_min.jsxs = q;
{
  jsxRuntime.exports = reactJsxRuntime_production_min;
}
const jsx = jsxRuntime.exports.jsx;
const jsxs = jsxRuntime.exports.jsxs;
var ThemeContext = /* @__PURE__ */ React.createContext({});
ThemeContext.Consumer;
ThemeContext.Provider;
function useBootstrapPrefix(prefix, defaultPrefix) {
  var prefixes = react.exports.useContext(ThemeContext);
  return prefix || prefixes[defaultPrefix] || defaultPrefix;
}
var _excluded = ["bsPrefix", "className", "striped", "bordered", "borderless", "hover", "size", "variant", "responsive"];
var Table = /* @__PURE__ */ React.forwardRef(function(_ref, ref) {
  var bsPrefix = _ref.bsPrefix, className = _ref.className, striped = _ref.striped, bordered = _ref.bordered, borderless = _ref.borderless, hover = _ref.hover, size = _ref.size, variant = _ref.variant, responsive = _ref.responsive, props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var decoratedBsPrefix = useBootstrapPrefix(bsPrefix, "table");
  var classes = classNames(className, decoratedBsPrefix, variant && decoratedBsPrefix + "-" + variant, size && decoratedBsPrefix + "-" + size, striped && decoratedBsPrefix + "-striped", bordered && decoratedBsPrefix + "-bordered", borderless && decoratedBsPrefix + "-borderless", hover && decoratedBsPrefix + "-hover");
  var table = /* @__PURE__ */ React.createElement("table", _extends({}, props, {
    className: classes,
    ref
  }));
  if (responsive) {
    var responsiveClass = decoratedBsPrefix + "-responsive";
    if (typeof responsive === "string") {
      responsiveClass = responsiveClass + "-" + responsive;
    }
    return /* @__PURE__ */ React.createElement("div", {
      className: responsiveClass
    }, table);
  }
  return table;
});
var Table$1 = Table;
const _SizeHelper = class {
};
let SizeHelper = _SizeHelper;
__publicField(SizeHelper, "map", new Map([["xs", [300, 300]], ["sm", [400, 400]], ["md", [600, 600]], ["lg", [800, 800]], ["xl", [1e3, "100%"]], ["responsive", ["100%", "100%"]]]));
__publicField(SizeHelper, "width", (size) => {
  return _SizeHelper.map.get(size != null ? size : "md")[0];
});
__publicField(SizeHelper, "height", (size) => {
  return _SizeHelper.map.get(size != null ? size : "responsive")[1];
});
var __createBinding = globalThis && globalThis.__createBinding || (Object.create ? function(o, m2, k, k2) {
  if (k2 === void 0)
    k2 = k;
  Object.defineProperty(o, k2, { enumerable: true, get: function() {
    return m2[k];
  } });
} : function(o, m2, k, k2) {
  if (k2 === void 0)
    k2 = k;
  o[k2] = m2[k];
});
var __exportStar = globalThis && globalThis.__exportStar || function(m2, exports2) {
  for (var p2 in m2)
    if (p2 !== "default" && !Object.prototype.hasOwnProperty.call(exports2, p2))
      __createBinding(exports2, m2, p2);
};
Object.defineProperty(exports, "__esModule", { value: true });
__exportStar(require("./array-extensions"), exports);
__exportStar(require("./enum-helper"), exports);
__exportStar(require("./map-extensions"), exports);
__exportStar(require("./moment-extensions"), exports);
__exportStar(require("./number-extensions"), exports);
__exportStar(require("./promise-helper"), exports);
__exportStar(require("./string-extensions"), exports);
var TableKV$1 = "";
const TableKV = (props) => {
  var _a;
  const renderValue = (key, value) => {
    if (props.smart !== true || !value)
      return value;
    console.log(key);
    return value;
  };
  const width = SizeHelper.width((_a = props.size) != null ? _a : "xs");
  return /* @__PURE__ */ jsxs("div", {
    className: props.className,
    children: [props.title && /* @__PURE__ */ jsx("h5", {
      children: props.title
    }), /* @__PURE__ */ jsx(Table$1, {
      striped: true,
      bordered: true,
      size: "sm",
      className: "text-small",
      style: {
        width
      },
      children: /* @__PURE__ */ jsx("tbody", {
        children: props.rows.map(([key, value]) => /* @__PURE__ */ jsxs("tr", {
          children: [/* @__PURE__ */ jsx("th", {
            className: "min",
            children: key
          }), /* @__PURE__ */ jsx("td", {
            children: renderValue(key, value)
          })]
        }, key))
      })
    })]
  });
};
export { SizeHelper, TableKV };
